curl --request PATCH \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/checkouts/{checkoutId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"settlementConfig": {
"strategy": "cheapest",
"settlements": [
{
"chainName": "ETH",
"tokenAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainId": "An example name",
"symbol": "An example name"
}
]
},
"destinationConfig": {
"destinations": [
{
"chainName": "ETH",
"type": "address",
"identifier": "An example name"
}
]
},
"depositConfig": {
"minimum": "<string>",
"presets": [
"<string>"
]
},
"enableOrchestration": true,
"integratorFeeBps": 500,
"geoRestrictions": [
"US"
],
"exchangeRestrictions": [
"An example name"
]
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"mode": "payment",
"settlementConfig": {
"strategy": "cheapest",
"settlements": [
{
"chainName": "ETH",
"tokenAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainId": "An example name",
"symbol": "An example name"
}
]
},
"destinationConfig": {
"destinations": [
{
"chainName": "ETH",
"type": "address",
"identifier": "An example name"
}
]
},
"enableOrchestration": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"depositConfig": {
"minimum": "<string>",
"presets": [
"<string>"
]
},
"integratorFeeBps": 123,
"geoRestrictions": [
"US"
],
"exchangeRestrictions": [
"An example name"
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the checkout
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Show child attributes
Show child attributes
Show child attributes
0 <= x <= 10004^[a-zA-Z]{2,4}\d?$50^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$Checkout updated successfully
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
payment, deposit Show child attributes
Show child attributes
Show child attributes
4^[a-zA-Z]{2,4}\d?$50^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$Was this page helpful?
curl --request PATCH \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/checkouts/{checkoutId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"settlementConfig": {
"strategy": "cheapest",
"settlements": [
{
"chainName": "ETH",
"tokenAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainId": "An example name",
"symbol": "An example name"
}
]
},
"destinationConfig": {
"destinations": [
{
"chainName": "ETH",
"type": "address",
"identifier": "An example name"
}
]
},
"depositConfig": {
"minimum": "<string>",
"presets": [
"<string>"
]
},
"enableOrchestration": true,
"integratorFeeBps": 500,
"geoRestrictions": [
"US"
],
"exchangeRestrictions": [
"An example name"
]
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"mode": "payment",
"settlementConfig": {
"strategy": "cheapest",
"settlements": [
{
"chainName": "ETH",
"tokenAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"chainId": "An example name",
"symbol": "An example name"
}
]
},
"destinationConfig": {
"destinations": [
{
"chainName": "ETH",
"type": "address",
"identifier": "An example name"
}
]
},
"enableOrchestration": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"depositConfig": {
"minimum": "<string>",
"presets": [
"<string>"
]
},
"integratorFeeBps": 123,
"geoRestrictions": [
"US"
],
"exchangeRestrictions": [
"An example name"
]
}